<template>
  <div  class="echart" id="mychart" :style="myChartStyle">
    <Echart
    :options="options"
      id="bottomLeftChart"
      class="echarts_bottom"
    ></Echart>
    </div>
</template>

<script>
import * as echarts from "echarts";
import axios from "axios";
export default {
  data() {
    return {
      myChart: {},
      xData: [
        "1月",
        "2月",
        "3月",
        "4月",
        "5月",
        "6月",
        "7月",
        "8月",
        "9月",
        "10月",
        "11月",
        "12月",
      ], //横坐标
      qualified: [], //合格
      unqualified: [], //不合格
      myChartStyle: { float: "left", width: "100%", height: "250px" }, //图表样式
      options:{
        xAxis: {
          name:'单位:月', 
          nameTextStyle:{
              color: ["#B4B4B4"],
              padding:[0,0,0,-10],
              fontSize:14
            },              
          min:0,
          max:11,
          axisLine: {
            lineStyle: {
              color: "#B4B4B4",
            },
          },
          data: [
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
          ],
        },
        legend: {
          // 图例
          data: ["合格率", "不合格率"],
          bottom: "0%",
          textStyle: {
            color: "#ffffff",
            fontSize: 18,
          },
        },
        yAxis: [{
              type:"value",
              min: 0, // 刻度最小值
              max: 100, // 刻度最大值（需要动态获取最大值,并且能被3整除（向下取整再乘回来））
              splitNumber: 5, // 横线数
              name: "单位:%",
              nameTextStyle: {
                color: "#B4B4B4",
                nameLocation: "start",
                padding:[0,0,12,-20],
                fontSize:14
              },
              axisLine: {
                lineStyle: {
                  color: "#B4B4B4",
                },
              },
            }
          ],
        series: [
          {
            name: "合格率",
            data: [50, 80, 50, 72, 75, 78, 72, 70, 80, 76, 78, 74],
            type: "line", // 类型设置为折线图
            label: {
              show: true,
              position: "top",
              textStyle: {
                fontSize: 14,
              },
            },
          },
          {
            name: "不合格率",
            data: [0, 11, 9, 17, 14, 13, 14, 9, 17, 14, 13, 14],
            type: "line", // 类型设置为折线图
            label: {
              show: true,
              position: "top",
              textStyle: {
                fontSize: 14,
              },
            },
          },
        ],
      }
    };
  },
  mounted() {
    // this.initEcharts();
    this.getData();
    this.changeTiming();
  },
  beforeDestroy() {
    this.clearData()
  },
  methods: {
    clearData() {
      if (this.timer) {
        clearInterval(this.timer)
        this.timer = null
      }
    },
    changeTiming() {
      this.timer = setInterval(() => {
        this.getData();
      }, 60000);
    },
    getData() {
      // this.numberData.forEach((item, index) => {
      //   item.number.number[0] += ++index
      //   item.number = { ...item.number }
      // })
      axios.post("http://192.168.12.189:8098/api/Dt_CheckResult/GetPassRate",null)
        .then((res) => {
          this.init(res);
        })
        .catch((res) => {
        });
    },
    init(val){
      this.options={
        xAxis: {
          name:'单位:月', 
          nameTextStyle:{
              color: ["#B4B4B4"],
              padding:[0,0,0,-10],
              fontSize:14
            },              
          min:0,
          max:11,
          axisLine: {
            lineStyle: {
              color: "#B4B4B4",
            },
          },
          data: [
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
          ],
        },
        legend: {
          // 图例
          data: ["合格率", "不合格率"],
          bottom: "0%",
          textStyle: {
            color: "#ffffff",
            fontSize: 18,
          },
        },
        yAxis: [{
              type:"value",
              min: 0, // 刻度最小值
              max: 100, // 刻度最大值（需要动态获取最大值,并且能被3整除（向下取整再乘回来））
              splitNumber: 5, // 横线数
              name: "单位:%",
              nameTextStyle: {
                color: "#B4B4B4",
                nameLocation: "start",
                padding:[0,0,12,-20],
                fontSize:14
              },
              axisLine: {
                lineStyle: {
                  color: "#B4B4B4",
                },
              },
            }
          ],
        series: [
          {
            name: "合格率",
            data:[val[0].qualified,val[1].qualified,val[2].qualified,val[3].qualified,val[4].qualified,val[5].qualified,
            val[6].qualified,val[7].qualified,val[8].qualified,val[9].qualified,val[10].qualified,val[11].qualified],
            type: "line", // 类型设置为折线图
            label: {
              show: true,
              position: "top",
              textStyle: {
                fontSize: 14,
              },
            },
          },
          {
            name: "不合格率",
            data:[val[0].unqualified,val[1].unqualified,val[2].unqualified,val[3].unqualified,val[4].unqualified,val[5].unqualified,
            val[6].unqualified,val[7].unqualified,val[8].unqualified,val[9].unqualified,val[10].unqualified,val[11].unqualified],
            type: "line", // 类型设置为折线图
            label: {
              show: true,
              position: "top",
              textStyle: {
                fontSize: 14,
              },
            },
          },
        ],
      }
    },
    // initEcharts() {
    //   const option = {
    //     xAxis: {
    //       axisLine: {
    //         lineStyle: {
    //           color: "#B4B4B4",
    //         },
    //       },
    //       data: this.xData,
    //     },
    //     legend: {
    //       // 图例
    //       data: ["合格率", "不合格率"],
    //       bottom: "0%",
    //       textStyle: {
    //         color: "#ffffff",
    //         fontSize: 18,
    //       },
    //     },
    //     yAxis: [{
    //           name: "单位:%",
    //           nameTextStyle: {
    //             color: "#B4B4B4",
    //             nameLocation: "start",
    //             padding:[0,0,12,-20],
    //             fontSize:14
    //           },
    //           axisLine: {
    //             lineStyle: {
    //               color: "#B4B4B4",
    //             },
    //           },
    //         }
    //       ],
    //     series: [
    //       {
    //         name: "合格率",
    //         data: this.qualified,
    //         type: "line", // 类型设置为折线图
    //         label: {
    //           show: true,
    //           position: "top",
    //           textStyle: {
    //             fontSize: 14,
    //           },
    //         },
    //       },
    //       {
    //         name: "不合格率",
    //         data: this.unqualified,
    //         type: "line", // 类型设置为折线图
    //         label: {
    //           show: true,
    //           position: "top",
    //           textStyle: {
    //             fontSize: 14,
    //           },
    //         },
    //       },
    //     ],
    //   };
    //   this.myChart = echarts.init(document.getElementById("mychart"));
    //   this.myChart.setOption(option);
    //   //随着屏幕大小调节图表
    //   window.addEventListener("resize", () => {
    //     this.myChart.resize();
    //   });
    // },
  },
};
</script>

